FROM node:<%- nodeVersion %>-alpine

WORKDIR /app

COPY . .

RUN npm ci --only=production && \
    cp -R node_modules prod_node_modules && \
    npm ci && \
    cd client && \
    npm ci && \
    cd .. \
    npm run build

COPY --from=build /app/package.json package.json
COPY --from=build /app/package-lock.json package-lock.json
COPY --from=build /app/prod_node_modules ./node_modules
COPY --from=build /app/build ./build

EXPOSE 5000
CMD npm start
